%global dlrn_nvr proliantutils-2.14.0-0.20230901153124.de9759c
%global dlrn 1
%define upstream_version 2.14.0
%{!?upstream_version: %global upstream_version %{version}}
# we are excluding some runtime reqs from automatic generator
%global excluded_reqs pyasn1-lextudio pyasn1-modules-lextudio pysnmp-lextudio
# we are excluding some BRs from automatic generator
%global excluded_brs doc8 bandit pre-commit hacking flake8-import-order

%{?dlrn: %global tarsources proliantutils-%{upstream_version}}
%{!?dlrn: %global tarsources proliantutils}

Name:           python-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers
Version: 2.14.0
Release: 0.20230901153124.de9759c%{?dist}
License:        Apache-2.0
URL:            https://github.com/openstack/proliantutils

Source0: proliantutils-2.14.0-0.20230901153124.de9759c.tar.gz

BuildArch:      noarch

%description
Client Library for interfacing with various devices in HP Proliant Servers

%package -n     python3-proliantutils
Summary:        Client Library for interfacing with various devices in HP Proliant Servers

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
BuildRequires:  openstack-macros
BuildRequires:  git-core
Requires: python3-pysnmp >= 4.2.3
%prep
%autosetup -v -p 1 -n %{tarsources} -S git

rm -rf *.egg-info


sed -i /^[[:space:]]*-c{env:.*_CONSTRAINTS_FILE.*/d tox.ini
sed -i "s/^deps = -c{env:.*_CONSTRAINTS_FILE.*/deps =/" tox.ini
sed -i /^minversion.*/d tox.ini
sed -i /^requires.*virtualenv.*/d tox.ini

# Exclude some bad-known BRs
for pkg in %{excluded_brs};do
  for reqfile in doc/requirements.txt test-requirements.txt; do
    if [ -f $reqfile ]; then
      sed -i /^${pkg}.*/d $reqfile
    fi
  done
done

# Exclude some bad-known runtime reqs
for pkg in %{excluded_reqs};do
  sed -i /^${pkg}.*/d requirements.txt
done

%generate_buildrequires
%pyproject_buildrequires -t -e %{default_toxenv}

%build
%pyproject_wheel

%install
%pyproject_install

%description -n     python3-proliantutils
Client Library for interfacing with various devices in HP Proliant Servers

%files -n     python3-proliantutils
%license LICENSE
%doc README.rst
%{python3_sitelib}/proliantutils*
%exclude %{python3_sitelib}/proliantutils/*test*

%changelog
